rem process compare report index.xml files to identify all *Changed objects
rem transforms to output listing all *Changed objects for all object types

rem instructions ****************************************************
rem download XSL transform application msxsl.exe - example c:\temp
rem copy xslt file custom changed all files.xslt to c:\temp
rem copy compare_results.bat to c:\temp
rem update compare file location
rem run c:\temp\compare_results.bat from command line



rem change to c:\temp and delete working files
chdir c:\temp\
del index.xml
del files.txt



rem change to compare file location
chdir c:\users\irrth002\desktop\COMPARE
dir /b /s index.xml >> C:\temp\files.txt



rem convert file list to xml file
rem ^ escapes special characters
echo ^<^?xml version=^"1.0^" encoding=^"UTF-8^"^?^> >> C:\temp\index.xml
echo ^<list^> >> C:\temp\index.xml
for /f "tokens=*" %%a in (C:\temp\files.txt) do (
    echo ^<entry name^=^"%%a^"^/^> >> C:\temp\index.xml
)
echo ^</list^> >> C:\temp\index.xml



rem change to MSXSL.exe location and transform all files in index.xml into *changed object list
chdir C:\temp\Compare Report Summary XSLT
MSXSL "C:\temp\index.xml" "C:\temp\Compare Report Summary XSLT\custom changed all files.xslt" -o "C:\temp\custom changed objects.xml"

