<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method="html"/>
	<xsl:template match="/">
		<html>
			<body>
				<table border="1">
					<tr>
						<td>Object Type</td>
						<td/>
						<td/>
						<td/>
						<td/>
						<td/>
						<td/>
						<td/>
						<td>Source Status</td>
						<td>Target Status</td>
					</tr>
					<xsl:for-each select="/list/entry">
						<xsl:for-each select="document(@name)/project/item">
							<xsl:if test="target_status[text()='*Changed'] or target_status[text()='*Unchanged']">
								<tr>
									<td>
										<xsl:value-of select="/project/@objectType"/>
									</td>
									<xsl:for-each select="objname">
										<td>
											<xsl:value-of select="."/>
										</td>
									</xsl:for-each>
									<xsl:call-template name="repeat">
										<xsl:with-param name="num" select="7-count(objname)"/>
									</xsl:call-template>
									<td>
										<xsl:value-of select="source_status"/>
									</td>
									<td>
										<xsl:value-of select="target_status"/>
									</td>
								</tr>
							</xsl:if>
						</xsl:for-each>
					</xsl:for-each>
				</table>
			</body>
		</html>
	</xsl:template>
	<xsl:template name="repeat">
		<xsl:param name="num"/>
		<xsl:if test="$num &gt; 0">
			<td/>
			<xsl:call-template name="repeat">
				<xsl:with-param name="num" select="$num - 1"/>
			</xsl:call-template>
		</xsl:if>
	</xsl:template>
</xsl:stylesheet>
